diff mbox series

[1/1] package/gerbera: needs gcc >= 8

Message ID 20210127063342.2754715-1-fontaine.fabrice@gmail.com
State Accepted
Headers show
Series [1/1] package/gerbera: needs gcc >= 8 | expand

Commit Message

Fabrice Fontaine Jan. 27, 2021, 6:33 a.m. UTC
std::filesystem is required since version 1.5.0:
https://github.com/gerbera/gerbera/issues/849

Fixes:
 - http://autobuild.buildroot.org/results/759c875ee8ab0447cd735c22f89fa127cb8c427c

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/gerbera/Config.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comments

Yann E. MORIN Jan. 27, 2021, 10:03 p.m. UTC | #1
Fabrice, All,

On 2021-01-27 07:33 +0100, Fabrice Fontaine spake thusly:
> std::filesystem is required since version 1.5.0:
> https://github.com/gerbera/gerbera/issues/849
> 
> Fixes:
>  - http://autobuild.buildroot.org/results/759c875ee8ab0447cd735c22f89fa127cb8c427c
> 
> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Applied to master, thanks.

Regards,
Yann E. MORIN.

> ---
>  package/gerbera/Config.in | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
> 
> diff --git a/package/gerbera/Config.in b/package/gerbera/Config.in
> index a07bcc5c57..b734de95de 100644
> --- a/package/gerbera/Config.in
> +++ b/package/gerbera/Config.in
> @@ -3,7 +3,7 @@ config BR2_PACKAGE_GERBERA
>  	depends on BR2_USE_MMU # fork()
>  	depends on BR2_TOOLCHAIN_HAS_ATOMIC
>  	depends on BR2_TOOLCHAIN_HAS_THREADS
> -	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_7 # C++17 optional
> +	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_8 # C++17 filesystem
>  	depends on BR2_INSTALL_LIBSTDCPP
>  	depends on BR2_USE_WCHAR # fmt
>  	select BR2_PACKAGE_FMT
> @@ -22,8 +22,8 @@ config BR2_PACKAGE_GERBERA
>  
>  	  https://gerbera.io
>  
> -comment "gerbera needs a toolchain w/ C++, threads, wchar, gcc >= 7"
> +comment "gerbera needs a toolchain w/ C++, threads, wchar, gcc >= 8"
>  	depends on BR2_USE_MMU
>  	depends on BR2_TOOLCHAIN_HAS_ATOMIC
>  	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS || \
> -		!BR2_USE_WCHAR || !BR2_TOOLCHAIN_GCC_AT_LEAST_7
> +		!BR2_USE_WCHAR || !BR2_TOOLCHAIN_GCC_AT_LEAST_8
> -- 
> 2.29.2
> 
> _______________________________________________
> buildroot mailing list
> buildroot@busybox.net
> http://lists.busybox.net/mailman/listinfo/buildroot
Peter Korsgaard Jan. 28, 2021, 8:16 p.m. UTC | #2
>>>>> "Fabrice" == Fabrice Fontaine <fontaine.fabrice@gmail.com> writes:

 > std::filesystem is required since version 1.5.0:
 > https://github.com/gerbera/gerbera/issues/849

 > Fixes:
 >  - http://autobuild.buildroot.org/results/759c875ee8ab0447cd735c22f89fa127cb8c427c

 > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Committed to 2020.02.x and 2020.11.x, thanks.
diff mbox series

Patch

diff --git a/package/gerbera/Config.in b/package/gerbera/Config.in
index a07bcc5c57..b734de95de 100644
--- a/package/gerbera/Config.in
+++ b/package/gerbera/Config.in
@@ -3,7 +3,7 @@  config BR2_PACKAGE_GERBERA
 	depends on BR2_USE_MMU # fork()
 	depends on BR2_TOOLCHAIN_HAS_ATOMIC
 	depends on BR2_TOOLCHAIN_HAS_THREADS
-	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_7 # C++17 optional
+	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_8 # C++17 filesystem
 	depends on BR2_INSTALL_LIBSTDCPP
 	depends on BR2_USE_WCHAR # fmt
 	select BR2_PACKAGE_FMT
@@ -22,8 +22,8 @@  config BR2_PACKAGE_GERBERA
 
 	  https://gerbera.io
 
-comment "gerbera needs a toolchain w/ C++, threads, wchar, gcc >= 7"
+comment "gerbera needs a toolchain w/ C++, threads, wchar, gcc >= 8"
 	depends on BR2_USE_MMU
 	depends on BR2_TOOLCHAIN_HAS_ATOMIC
 	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS || \
-		!BR2_USE_WCHAR || !BR2_TOOLCHAIN_GCC_AT_LEAST_7
+		!BR2_USE_WCHAR || !BR2_TOOLCHAIN_GCC_AT_LEAST_8